using System;

namespace DevexpressPatchKeygen
{
    [Serializable]
    public sealed class RegAdapter
    {
        // Constructor
        public RegAdapter()
        {
        }

        // Method to collect authentication
        internal char CollectAuthentication(string s)
        {
            return s[SchemaAdapter._Visitor.Next(s.Length)];
        }

        // Static method to collect reader
        internal static bool CollectReader()
        {
            return true;
        }

        // Static method to register reader
        internal static bool RegisterReader()
        {
            return false;
        }

        // Static instance of the RegAdapter
        public static readonly RegAdapter Instance = new RegAdapter();

        // Delegate for the method
        public static Func<string, char> DelegateForMethod;
    }
}
